<?php /* Template Name: All Courses Template */ ?>

<?php
/**
 * The template for displaying homepage
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Education
 */

get_header();
if (get_theme_mod('columns_archive', 3) == 4) {
    $col = get_theme_mod('columns_archive', 3);
} else if (get_theme_mod('columns_archive', 3) == 3) {
    $col = get_theme_mod('columns_archive', 3);
} else if (get_theme_mod('columns_archive', 3) == 2) {
    $col = get_theme_mod('columns_archive', 3);
} else if (get_theme_mod('columns_archive', 3) == 1) {
    $col = get_theme_mod('columns_archive', 3);
}
$num_columns = "edu-grid-$col";
if (get_theme_mod('enable_sidebar_option_archive', 3) == 0) {
    $hasSidebar = 0;
    $fullwidth = "singlepage-grid-full";
} else {
    $hasSidebar = 1;
    $fullwidth = "";
    $clean = "single-page-clean";
}
?>
?>

<main id="primary" class="site-main archivepage section-single-padding">

    <div class="container">
        <div class="singlepage-grid edu-grid-box  <?php echo esc_attr($fullwidth) ?> container">
            <div class="single-page-content <?php echo esc_attr($clean) ?>">

                <?php
                $query = new WP_Query(array('meta_key' => '_wp_page_template', 'meta_value' => 'courses.php', 'post_type' => 'page'));
                if ($query->have_posts()) : ?>
                <header class="page-header">
                    <?php
                        the_title('<h1 class="page-title" style="text-align:center;">', '</h1>')
                        ?>
                </header>

                <div class="courses-grid-box edu-grid-box <?php echo esc_attr($num_columns) ?>">
                    <?php

                    while ($query->have_posts()) :
                        $query->the_post();

                        get_template_part('template-parts/content-archive', get_post_type());

                    endwhile;

                else :

                    get_template_part('template-parts/content', 'none');

                endif;
                    ?>


                </div>
                <?php
                    the_posts_navigation();
                    ?>
            </div>

            <?php
            if ($hasSidebar) {
                get_sidebar();
            }
            ?>
        </div>



    </div>



</main><!-- #main -->
<?php
get_footer();

?>
<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package education-monal
 */

get_header();
if (get_theme_mod('columns_archive', 3) == 4) {
    $col = get_theme_mod('columns_archive', 3);
} else if (get_theme_mod('columns_archive', 3) == 3) {
    $col = get_theme_mod('columns_archive', 3);
} else if (get_theme_mod('columns_archive', 3) == 2) {
    $col = get_theme_mod('columns_archive', 3);
} else if (get_theme_mod('columns_archive', 3) == 1) {
    $col = get_theme_mod('columns_archive', 3);
}
$num_columns = "edu-grid-$col";
if (get_theme_mod('enable_sidebar_option_archive', 3) == 0) {
    $hasSidebar = 0;
    $fullwidth = "singlepage-grid-full";
} else {
    $hasSidebar = 1;
    $fullwidth = "";
    $clean = "single-page-clean";
}
?>

<main id="primary" class="site-main archivepage section-single-padding">

    <div class="container">
        <div class="singlepage-grid edu-grid-box  <?php echo esc_attr($fullwidth) ?> container">

            <div class="single-page-content <?php echo esc_attr($clean) ?>">
                <?php if (have_posts()) : ?>

                <header class="page-header">
                    <?php
                        the_archive_title('<h1 class="page-title" style="text-align:center;">', '</h1>');
                        the_archive_description('<div class="archive-description">', '</div>');
                        ?>
                </header><!-- .page-header -->

                <div class="courses-grid-box edu-grid-box <?php echo esc_attr($num_columns) ?>">
                    <?php
                    /* Start the Loop */
                    while (have_posts()) :
                        the_post();

                        get_template_part('template-parts/content-archive', get_post_type());

                    endwhile;

                else :

                    get_template_part('template-parts/content', 'none');

                endif;
                    ?>


                </div>
                <?php
                    the_posts_navigation();
                    ?>
            </div>

            <?php
            if ($hasSidebar) {
                get_sidebar();
            }
            ?>
        </div>



    </div>



</main><!-- #main -->

<?php

get_footer();