<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package education-monal
 */

get_header();
if (get_theme_mod('columns_archive', 3) == 4) {
	$col = absint(get_theme_mod('columns_archive', 3));
} else if (get_theme_mod('columns_archive', 3) == 3) {
	$col = absint(get_theme_mod('columns_archive', 3));
} else if (get_theme_mod('columns_archive', 3) == 2) {
	$col = absint(get_theme_mod('columns_archive', 3));
} else if (get_theme_mod('columns_archive', 3) == 1) {
	$col = absint(get_theme_mod('columns_archive', 3));
}
$num_columns = "edu-grid-$col";
if (get_theme_mod('enable_sidebar_option_archive', 1) == 0) {
	$hasSidebar = 0;
	$fullwidth = "singlepage-grid-full";
} else {
	$hasSidebar = 1;
	$fullwidth = "";
}

if (get_theme_mod('archive_layout', 'grid') == 'grid') {
	$box = "edu-grid-box";
} else {
	$box = "edu-list-box";
}

if (get_theme_mod('archive_background', 0) == 1) {
	$background = "";
} else {
	$background = "single-page-clean";
}

?>

<main id="primary" class="site-main archivepage section-single-padding">

    <div class="container">
        <div class="singlepage-grid edu-grid-box  <?php echo esc_attr($fullwidth) ?> container">

            <div class="single-page-content <?php echo esc_attr($background) ?>">
                <?php if (have_posts()) : ?>

                <header class="page-header">
                    <?php
						the_archive_title('<h1 class="page-title" style="text-align:center;">', '</h1>');
						the_archive_description('<div class="archive-description">', '</div>');
						?>
                </header>

                <div class="courses-grid-box <?php echo esc_attr($box) ?> <?php echo esc_attr($num_columns) ?>">
                    <?php

					while (have_posts()) :
						the_post();

						get_template_part('template-parts/content-archive', get_post_type());

					endwhile;

				else :

					get_template_part('template-parts/content', 'none');

				endif;
					?>


                </div>
                <?php

					the_posts_pagination(array(
						'mid_size'  => 2,
						'prev_text' => __('Previous', 'education-monal'),
						'next_text' => __('Next', 'education-monal'),
					));


					?>
            </div>

            <?php
			if ($hasSidebar) {
				get_sidebar();
			}
			?>
        </div>



    </div>



</main><!-- #main -->
<?php

get_footer();