<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package education-monal
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">

    <?php wp_head(); ?>
</head>


<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    <div id="page" class="site">
        <a class="skip-link screen-reader-text"
            href="#primary"><?php esc_html_e('Skip to content', 'education-monal'); ?></a>
        <?php
        $containerClass = "";
        if (get_theme_mod('navbar_select', 'box') == 'box') {
            $containerClass = "container";
        } else if (get_theme_mod('navbar_select', 'box') == 'fullwidth') {
            $containerClass = "no-container";
        }

        if (get_theme_mod('navbar_style', 'default') == 'default') {
            $headerStyle = "";
        } elseif (get_theme_mod('navbar_style', 'default') == 'fixed') {
            $headerStyle = "sticky-head";
        } elseif (get_theme_mod('navbar_style', 'default') == 'scroll') {
            $headerStyle = "sticky-head stickjs";
        }
        ?>
        <header id="masthead" class="site-header <?php echo esc_html($headerStyle) ?>">
            <nav class="nav-back">
                <?php
                if (get_theme_mod('topbar_visibility', 1) == 1) {
                    monal_education_topbar();
                }
                monal_education_mainnav();
                ?>
            </nav>


        </header>