<?php /* Template Name: Homepage */ ?>

<?php
/**
 * The template for displaying homepage
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Education
 */

get_header();
?>

<main>
    <section class="header-image">
        <div class="glide" id="intro">
            <div data-glide-el="track" class="glide__track">
                <ul class="glide__slides">
                    <?php
                    for ($x = 1; $x <= 3; $x++) {
                    ?>
                    <li class="glide__slide">

                        <div class="img-head-container">
                            <?php
                                if (get_theme_mod('box_' . $x . '_image', '')) {
                                ?>
                            <img src="<?php echo esc_html(get_theme_mod('box_' . $x . '_image', '')) ?>" alt="">
                            <?php
                                }
                                ?>
                            <div class="head-overlay"></div>
                            <div class="head-info">
                                <?php
                                    if (get_theme_mod('box_' . $x . '_heading', 'Welcome to Institute of Technology')) {
                                        echo '<h2>' . esc_html(get_theme_mod('box_' . $x . '_heading', 'Welcome to Institute of Technology')) . '</h2>';
                                    }
                                    if (get_theme_mod('box_' . $x . '_normal_text', 'The Only Place to Learn From the Best. The classes we provide will help you in your career')) {
                                        echo '<p>' . esc_html(get_theme_mod('box_' . $x . '_normal_text', 'The Only Place to Learn From the Best. The classes we provide will help you in your career')) . '</p>';
                                    }
                                    if (get_theme_mod('box_' . $x . '_btn_text', 'Read More')) {
                                        echo '<div class="btn-holder">';
                                        echo '<a href="' . esc_attr(get_theme_mod('box_' . $x . '_btn_url', '#')) . '" class="read-more-btn">';
                                        echo esc_html(get_theme_mod('box_' . $x . '_btn_text', 'Read More'));
                                        echo '</a>';
                                        echo '</div>';
                                    }
                                    ?>
                            </div>
                        </div>
                    </li>
                    <?php } ?>

                </ul>
                <div class="glide__arrows" data-glide-el="controls">
                    <button class="glide__arrow glide__arrow--left" data-glide-dir="<"><i
                            class="bi bi-chevron-left"></i></button>
                    <button class="glide__arrow glide__arrow--right" data-glide-dir=">"><i
                            class="bi bi-chevron-right"></i></button>
                </div>
                <div class="glide__bullets" data-glide-el="controls[nav]">
                    <div class="glide__bullet" data-glide-dir="=0"></div>
                    <div class="glide__bullet" data-glide-dir="=1"></div>
                    <div class="glide__bullet" data-glide-dir="=2"></div>
                </div>
            </div>
        </div>

        <div class="header-cards-2 edu-grid-box edu-grid-3">
            <div class="head-card-2">
                <?php
                if (get_theme_mod('infobox1_icon', '')) {
                ?>
                <img src="<?php echo esc_html(get_theme_mod('infobox1_icon', '')) ?>" alt="">
                <?php
                } ?>
                <h2> <?php echo esc_html(get_theme_mod('infobox1_heading', ' Free Online Classes ')) ?> </h2>
                <p> <?php echo esc_html(get_theme_mod('infobox1_normal_text', ' Most of the classes we provide are free and will hep you further into your career')) ?>
                </p>
            </div>
            <div class="head-card-2">
                <?php
                if (get_theme_mod('infobox2_icon', '')) {
                ?>
                <img src="<?php echo esc_html(get_theme_mod('infobox2_icon', '')) ?>" alt="">
                <?php
                } ?>
                <h2> <?php echo esc_html(get_theme_mod('infobox2_heading', ' Important Lessons ')) ?> </h2>
                <p> <?php echo esc_html(get_theme_mod('infobox2_normal_text', 'Our lessons are important. So you can make the most out of them.')) ?>
                </p>
            </div>
            <div class="head-card-2">
                <?php
                if (get_theme_mod('infobox3_icon', '')) {
                ?>
                <img src="<?php echo esc_html(get_theme_mod('infobox3_icon', '')) ?>" alt="">
                <?php
                } ?>
                <h2> <?php echo esc_html(get_theme_mod('infobox3_heading', ' Guaranteed Certificate ')) ?> </h2>
                <p> <?php echo esc_html(get_theme_mod('infobox3_normal_text', 'After the course completion we provide you with the certificate')) ?>
                </p>
            </div>

        </div>


    </section>
    <?php dynamic_sidebar('homepage-1'); ?>
    <?php
    if (have_posts()) :
        while (have_posts()) :
            the_post();

    ?>

    <?php
            if (get_the_content()) {
            ?>
    <div class="container">
        <div class="home-content">
            <?php the_content(); ?>
        </div>
    </div>
    <?php
            }
            ?>

    <?php
        endwhile;
    endif;
    ?>
</main>
<?php
get_footer();