<?php

function monal_education_widget_contact()
{
    register_widget('monal_education_contact_widget');
}
add_action('widgets_init', 'monal_education_widget_contact');

class monal_education_contact_widget extends WP_Widget
{

    function __construct()
    {
        parent::__construct(
            'monal_education_contact_widget',
            __('Education Contact', 'education-monal'),
            array('description' => __('Education Contact', 'education-monal'))
        );
    }

    // Creating widget front-end
    public function widget($args, $instance)
    {
        $wblog_title = (!empty($instance['wblog_title'])) ? $instance['wblog_title'] : esc_html__('Contact Form', 'education-monal');
        $wblog_subtitle = (!empty($instance['wblog_subtitle'])) ? $instance['wblog_subtitle'] : esc_html__('Feel free to mail us', 'education-monal');
        $wblog_contact_short = (!empty($instance['wblog_contact_short'])) ? $instance['wblog_contact_short'] : '';
        echo $args['before_widget'];
?>

<section class="section-padding contact-section">
    <div class="contact-box">

        <?php if ($wblog_title) : ?>
        <h2> <?php echo esc_html($wblog_title); ?> </h2>
        <?php endif; ?>

        <?php if ($wblog_subtitle) : ?>
        <p> <?php echo esc_html($wblog_subtitle); ?> </p>
        <?php endif; ?>

        <div class="contact-form">
            <?php
                    if ($wblog_contact_short) :
                        echo do_shortcode($wblog_contact_short);
                    endif;
                    ?>

        </div>
    </div>
</section>
<?php
        echo $args['after_widget'];
    }

    // Widget Backend 
    public function form($instance)
    {
        $wblog_title = (!empty($instance['wblog_title'])) ? $instance['wblog_title'] : esc_html__('Contact Us', 'education-monal');
        $wblog_subtitle = (!empty($instance['wblog_subtitle'])) ? $instance['wblog_subtitle'] : esc_html__('Feel free to mail us', 'education-monal');
        $wblog_contact_short = (!empty($instance['wblog_contact_short'])) ? $instance['wblog_contact_short'] : '';
    ?>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_title'); ?>"><?php esc_html_e('The Title of the Widget', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_title'); ?>"
        name="<?php echo $this->get_field_name('wblog_title'); ?>" type="text"
        value="<?php echo esc_attr($wblog_title); ?>" />
</p>
<p>
    <label
        for="<?php echo $this->get_field_id('wblog_subtitle'); ?>"><?php esc_html_e('Sub Title', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_subtitle'); ?>"
        name="<?php echo $this->get_field_name('wblog_subtitle'); ?>" type="text"
        value="<?php echo esc_attr($wblog_subtitle); ?>" />
</p>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_contact_short'); ?>"><?php esc_html_e('Short code of contact form', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_contact_short'); ?>"
        name="<?php echo $this->get_field_name('wblog_contact_short'); ?>" type="text"
        value="<?php echo esc_attr($wblog_contact_short); ?>" />
</p>

<?php
    }
    // Updating widget replacing old instances with new
    public function update($new_instance, $old_instance)
    {
        $instance = array();
        $instance['wblog_title'] = (!empty($new_instance['wblog_title'])) ? sanitize_text_field($new_instance['wblog_title']) : '';
        $instance['wblog_subtitle'] = (!empty($new_instance['wblog_subtitle'])) ? sanitize_text_field($new_instance['wblog_subtitle']) : '';
        $instance['wblog_contact_short'] = (!empty($new_instance['wblog_contact_short'])) ? sanitize_text_field($new_instance['wblog_contact_short']) : '';
        return $instance;
    }
}
?>