<?php

function monal_education_widget_footer_information()
{
    register_widget('monal_education_footer_contact_widget');
}
add_action('widgets_init', 'monal_education_widget_footer_information');

class monal_education_footer_contact_widget extends WP_Widget
{

    function __construct()
    {
        parent::__construct(
            'monal_education_footer_contact_widget',
            __('Footer Information', 'education-monal'),
            array('description' => __('Footer Information', 'education-monal'))
        );
    }

    // Creating widget front-end
    public function widget($args, $instance)
    {
        $wblog_title = (!empty($instance['wblog_title'])) ? $instance['wblog_title'] : esc_html__('Contact Info', 'education-monal');
        $wblog_email = (!empty($instance['wblog_email'])) ? $instance['wblog_email'] : esc_html__('someone@example.com', 'education-monal');
        $wblog_location = (!empty($instance['wblog_location'])) ? $instance['wblog_location'] : esc_html__('America, Australia', 'education-monal');
        $wblog_phone = (!empty($instance['wblog_phone'])) ? $instance['wblog_phone'] : esc_html__('+9779811223322', 'education-monal');
        echo $args['before_widget'];
?>


<div class="footer-widget">
    <?php
            if ($wblog_title) :
                echo '<h2 class="footer-widget-title">' . esc_html($wblog_title) . '  </h2>';
            endif;

            if ($wblog_email) :
                echo '
                <p class="footer-widget-para">
                    <i class="bi bi-envelope"></i>' . esc_html($wblog_email) . '
                </p>';
            endif;

            if ($wblog_location) :
                echo '
                <p class="footer-widget-para">
                    <i class="bi bi-geo-alt-fill"></i>' . esc_html($wblog_location) . '
                </p>';
            endif;

            if ($wblog_phone) :
                echo '
                <p class="footer-widget-para">
                    <i class="bi bi-telephone-fill"></i>' . esc_html($wblog_phone) . '
                </p>';
            endif;
            ?>

</div>
<?php
        echo $args['after_widget'];
    }

    // Widget Backend 
    public function form($instance)
    {
        $wblog_title = (!empty($instance['wblog_title'])) ? $instance['wblog_title'] : esc_html__('Contact Info', 'education-monal');
        $wblog_email = (!empty($instance['wblog_email'])) ? $instance['wblog_email'] : esc_html__('someone@example.com', 'education-monal');
        $wblog_location = (!empty($instance['wblog_location'])) ? $instance['wblog_location'] : esc_html__('America, Australia', 'education-monal');
        $wblog_phone = (!empty($instance['wblog_phone'])) ? $instance['wblog_phone'] : esc_html__('+9779811223322', 'education-monal');
    ?>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_title'); ?>"><?php esc_html_e('The Title of the Widget', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_title'); ?>"
        name="<?php echo $this->get_field_name('wblog_title'); ?>" type="text"
        value="<?php echo esc_attr($wblog_title); ?>" />
</p>
<p>
    <label
        for="<?php echo $this->get_field_id('wblog_email'); ?>"><?php esc_html_e('Email Address', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_email'); ?>"
        name="<?php echo $this->get_field_name('wblog_email'); ?>" type="text"
        value="<?php echo esc_attr($wblog_email); ?>" />
</p>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_location'); ?>"><?php esc_html_e('Location', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_location'); ?>"
        name="<?php echo $this->get_field_name('wblog_location'); ?>" type="text"
        value="<?php echo esc_attr($wblog_location); ?>" />
</p>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_phone'); ?>"><?php esc_html_e('Phone Number', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_phone'); ?>"
        name="<?php echo $this->get_field_name('wblog_phone'); ?>" type="text"
        value="<?php echo esc_attr($wblog_phone); ?>" />
</p>

<?php
    }
    // Updating widget replacing old instances with new
    public function update($new_instance, $old_instance)
    {
        $instance = array();
        $instance['wblog_title'] = (!empty($new_instance['wblog_title'])) ? sanitize_text_field($new_instance['wblog_title']) : '';
        $instance['wblog_email'] = (!empty($new_instance['wblog_email'])) ? sanitize_email($new_instance['wblog_email']) : '';
        $instance['wblog_location'] = (!empty($new_instance['wblog_location'])) ? sanitize_text_field($new_instance['wblog_location']) : '';
        $instance['wblog_phone'] = (!empty($new_instance['wblog_phone'])) ? sanitize_text_field($new_instance['wblog_phone']) : '';
        return $instance;
    }
}
?>