<?php
// Register and load the widget
function monal_education_widget_news_notice()
{
    register_widget('monal_education_news_notice_widget');
}
add_action('widgets_init', 'monal_education_widget_news_notice');

class monal_education_news_notice_widget extends WP_Widget
{

    function __construct()
    {
        parent::__construct(
            'monal_education_news_notice_widget',
            __('Education News Notice Lists', 'education-monal'),
            array('description' => __('Education News Notice Lists', 'education-monal'))
        );
    }

    // Creating widget front-end
    public function widget($args, $instance)
    {
        $wblog_news_title = (!empty($instance['wblog_news_title'])) ? $instance['wblog_news_title'] : esc_html__('News', 'education-monal');
        $wblog_notice_title = (!empty($instance['wblog_notice_title'])) ? $instance['wblog_notice_title'] : esc_html__('Notice', 'education-monal');
        echo $args['before_widget'];
?>

<section class="news section-padding bg-dark-grey">
    <div class="container news-notice-grid">
        <div class="news">
            <?php monal_education_title_with_link($wblog_news_title, 'news'); ?>
            <div class="main-news-grid edu-grid-box edu-grid-2">
                <?php single_item_blog('post', 4, 'news'); ?>
            </div>
        </div>
        <div class="notice">
            <?php monal_education_title_with_link($wblog_notice_title, 'notice'); ?>
            <div class="notice-box">
                <?php single_item_blog('post', 4, 'notice'); ?>
            </div>
        </div>
    </div>
</section>

<?php
        echo $args['after_widget'];
    }

    // Widget Backend 
    public function form($instance)
    {
        $wblog_news_title = (!empty($instance['wblog_news_title'])) ? $instance['wblog_news_title'] : esc_html__('News', 'education-monal');
        $wblog_notice_title = (!empty($instance['wblog_notice_title'])) ? $instance['wblog_notice_title'] : esc_html__('Notice', 'education-monal');
    ?>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_news_title'); ?>"><?php esc_html_e('Title for Notice', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_news_title'); ?>"
        name="<?php echo $this->get_field_name('wblog_news_title'); ?>" type="text"
        value="<?php echo esc_attr($wblog_news_title); ?>" />
</p>
<p>
    <label
        for="<?php echo $this->get_field_id('wblog_notice_title'); ?>"><?php esc_html_e('Title for Notice', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_notice_title'); ?>"
        name="<?php echo $this->get_field_name('wblog_notice_title'); ?>" type="text"
        value="<?php echo esc_attr($wblog_notice_title); ?>" />
</p>
<?php
    }
    // Updating widget replacing old instances with new
    public function update($new_instance, $old_instance)
    {
        $instance = array();
        $instance['wblog_news_title'] = (!empty($new_instance['wblog_news_title'])) ? sanitize_text_field($new_instance['wblog_news_title']) : '';
        $instance['wblog_notice_title'] = (!empty($new_instance['wblog_notice_title'])) ? sanitize_text_field($new_instance['wblog_notice_title']) : '';
        return $instance;
    }
}
?>