<?php
// Register and load the widget
function monal_education_widget_recent()
{
    register_widget('monal_education_recent_widget');
}
add_action('widgets_init', 'monal_education_widget_recent');

class monal_education_recent_widget extends WP_Widget
{

    function __construct()
    {
        parent::__construct(
            'monal_education_recent_widget',
            __('Education Recent Lists', 'education-monal'),
            array('description' => __('Education Recent Lists', 'education-monal'))
        );
    }

    // Creating widget front-end
    public function widget($args, $instance)
    {
        $wblog_category = (!empty($instance['wblog_category'])) ? $instance['wblog_category'] : '';
        $wblog_order = (!empty($instance['wblog_order'])) ? $instance['wblog_order'] : esc_html__('DESC', 'education-monal');
        $wblog_title = (!empty($instance['wblog_title'])) ? $instance['wblog_title'] : esc_html__('Recent', 'education-monal');
        echo $args['before_widget'];
?>


<div class="container">
    <?php if ($wblog_title) : ?>
    <h2 class="sidebar-title" style="margin-bottom:20px;"><strong> <?php echo esc_html($wblog_title); ?>
        </strong>
    </h2>
    <?php endif; ?>
    <?php
            $q_args = array(
                'post_type' => 'post',
                'posts_per_page' => 4,
                'order_by' => 'date',
                'post_status' => 'publish',
                'order' => esc_attr($wblog_order),
                'category_name' => esc_attr($wblog_category),
            );
            $bio = new WP_Query($q_args);
            if ($bio->have_posts()) {
                while ($bio->have_posts()) {
                    $bio->the_post();
            ?>

    <div class="related-container flex">
        <a class="left-width" href="<?php the_permalink() ?>">
            <div class="imgbox related-height">
                <?php if (get_the_post_thumbnail_url()) {
                                    the_post_thumbnail('medium');
                                } ?>
            </div>
        </a>
        <div class="related-desc right-width">
            <a href="<?php the_permalink() ?>">
                <h3 class="recent-title"> <?php echo get_the_title() ?></h3>
            </a>
            <span class="recent-meta">
                <?php echo " By " . get_the_author() . ", " .  get_the_date() ?></span>
        </div>
    </div>
    <?php
                }
            }
            ?>


</div>
<?php
        echo $args['after_widget'];
    }

    // Widget Backend 
    public function form($instance)
    {
        $wblog_category = (!empty($instance['wblog_category'])) ? $instance['wblog_category'] : '';
        $wblog_order = (!empty($instance['wblog_order'])) ? $instance['wblog_order'] : esc_html__('DESC', 'education-monal');
        $wblog_title = (!empty($instance['wblog_title'])) ? $instance['wblog_title'] : esc_html__('recent', 'education-monal');
    ?>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_title'); ?>"><?php esc_html_e('The Title of the Widget', 'education-monal'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('wblog_title'); ?>"
        name="<?php echo $this->get_field_name('wblog_title'); ?>" type="text"
        value="<?php echo esc_attr($wblog_title); ?>" />
</p>
<p>
    <label
        for="<?php echo $this->get_field_id('wblog_order'); ?>"><?php esc_html_e('Ordering: Either Ascending or Desending order', 'education-monal'); ?></label>
    <select class="widefat" id="<?php echo $this->get_field_id('wblog_order'); ?>"
        name="<?php echo $this->get_field_name('wblog_order'); ?>" value="<?php echo esc_attr($wblog_order); ?>">
        <option value="ASC" <?php echo ($wblog_order == 'ASC') ? 'selected' : ''; ?>>
            <?php esc_html_e('Ascending order', 'education-monal'); ?> </option>
        <option value="DESC" <?php echo ($wblog_order == 'DESC') ? 'selected' : ''; ?>>
            <?php esc_html_e('Descending order', 'education-monal'); ?> </option>
    </select>
</p>

<p>
    <label
        for="<?php echo $this->get_field_id('wblog_category'); ?>"><?php esc_html_e('Select the category:', 'education-monal'); ?></label>
    <select class="widefat" id="<?php echo $this->get_field_id('wblog_category'); ?>"
        name="<?php echo $this->get_field_name('wblog_category'); ?>">

        <?php
                $ag = array(
                    'post_type' => 'post',
                );
                $all_categories = get_categories($ag);
                foreach ($all_categories as $cat) {
                ?>
        <option value="<?php echo $cat->slug; ?>" <?php echo ($wblog_category == $cat->slug) ? 'selected' : ''; ?>>
            <?php echo $cat->name; ?></option>
        <?php
                }
                ?>
    </select>
</p>

<?php
    }
    // Updating widget replacing old instances with new
    public function update($new_instance, $old_instance)
    {
        $instance = array();
        $instance['wblog_category'] = (!empty($new_instance['wblog_category'])) ? sanitize_text_field($new_instance['wblog_category']) : '';
        $instance['wblog_order'] = (!empty($new_instance['wblog_order'])) ? sanitize_text_field($new_instance['wblog_order']) : '';
        $instance['wblog_title'] = (!empty($new_instance['wblog_title'])) ? sanitize_text_field($new_instance['wblog_title']) : '';
        return $instance;
    }
}
?>