<?php
$wp_customize->add_panel('general_options', array(
    'title' => __('Typography', 'education-monal'),
    'priority' => 12,
));

// === TYPOGRAPHY SECTION ===
$wp_customize->add_section('typography_settings', array(
    'title' => __('Font Sizes', 'education-monal'),
    'priority' => 10,
    'panel' => 'general_options'
));

// Heading One
$wp_customize->add_setting('edu_heading_one_size', array(
    'default' => __('30', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));

$wp_customize->add_control('edu_heading_one_size', array(
    'label' => __('Heading 1', 'education-monal'),
    'section' => 'typography_settings',
    'type' => 'number',
    'priority' => 7
));

// Heading Two
$wp_customize->add_setting('edu_heading_two_size', array(
    'default' => __('24', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));
$wp_customize->add_control('edu_heading_two_size', array(
    'label' => __('Heading 2', 'education-monal'),
    'section' => 'typography_settings',
    'type' => 'number',
    'priority' => 8
));

// Heading Three
$wp_customize->add_setting('edu_heading_three_size', array(
    'default' => __('20', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));
$wp_customize->add_control('edu_heading_three_size', array(
    'label' => __('Heading 3', 'education-monal'),
    'section' => 'typography_settings',
    'type' => 'number',
    'priority' => 9
));

// Heading Two
$wp_customize->add_setting('edu_heading_four_size', array(
    'default' => __('18', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));
$wp_customize->add_control('edu_heading_four_size', array(
    'label' => __('Heading 4', 'education-monal'),
    'section' => 'typography_settings',
    'type' => 'number',
    'priority' => 10
));

// P tag Size
$wp_customize->add_setting('edu_paragraph_size', array(
    'default' => __('16', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));

$wp_customize->add_control('edu_paragraph_size', array(
    'label' => __('Paragraph Font Size', 'education-monal'),
    'section' => 'typography_settings',
    'type' => 'number',
    'priority' => 11
));

// Meta
$wp_customize->add_setting('edu_meta_size', array(
    'default' => __('14', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));

$wp_customize->add_control('edu_meta_size', array(
    'label' => __('Meta Data', 'education-monal'),
    'section' => 'typography_settings',
    'type' => 'number',
    'priority' => 12
));


// Widget Title Size 
$wp_customize->add_setting('edu_widget_title_size', array(
    'default' => __('24', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));
$wp_customize->add_control('edu_widget_title_size', array(
    'label' => __('Widget Title Font Size', 'education-monal'),
    'section' => 'typography_settings',
    'type' => 'number',
    'priority' => 13
));