<?php

$wp_customize->add_panel('navbar_field', array(
    'title' => __('Theme Options', 'education-monal'),
    'priority' => 12,
));

// TOPBAR 

// Show hide Topbar
$wp_customize->add_setting(
    'topbar_visibility',
    array(
        'default'           => 1,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'monal_education_sanitize_checkbox',
        'transport' => 'postMessage'
    )
);
$wp_customize->add_control(
    'topbar_visibility',
    array(
        'label'    => __('Show Topbar', 'education-monal'),
        'section'  => 'topbar_box',
        'type'     => 'checkbox',
        'priority' => 6,
    )
);

// Location
$wp_customize->add_section('topbar_box', array(
    'title'   => __('Top Bar', 'education-monal'),
    'priority'    => 131,
    'panel' => 'navbar_field',
));

$wp_customize->add_setting('topbar_phone', array(
    'default'   => __('+21-323-435', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('topbar_phone', array(
    'label'   => __('Phone Number', 'education-monal'),
    'section' => 'topbar_box',
    'priority'  => 7
));

$wp_customize->add_setting('topbar_location', array(
    'default'   => __('Rato Bangla, Kathmandu', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('topbar_location', array(
    'label'   => __('Location', 'education-monal'),
    'section' => 'topbar_box',
    'priority'  => 7
));

$wp_customize->add_setting('topbar_email', array(
    'default'   => __('john.doe@gmail.com', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('topbar_email', array(
    'label'   => __('Email', 'education-monal'),
    'section' => 'topbar_box',
    'priority'  => 7
));



// Setting - Background Color.
$wp_customize->add_setting(
    'edu_background_color',
    array(
        'default'           => '#2C2D60',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'edu_background_color',
        array(
            'label'      => __('Background Color', 'education-monal'),
            'section'    => 'topbar_box',
            'settings'   => 'edu_background_color',
            'priority'   => 8,
        )
    )
);

$wp_customize->add_setting(
    'edu_text_color',
    array(
        'default'           => '#FFFFFF',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'edu_text_color',
        array(
            'label'      => __('Text Color', 'education-monal'),
            'section'    => 'topbar_box',
            'settings'   => 'edu_text_color',
            'priority'   => 8,
        )
    )
);


$wp_customize->add_setting('topbar_facebook', array(
    'default'   => __('https://facebook.com', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('topbar_facebook', array(
    'label'   => __('Facebook Link', 'education-monal'),
    'section' => 'topbar_box',
    'priority'  => 9
));

$wp_customize->add_setting('topbar_twitter', array(
    'default'   => __('https://twitter.com', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('topbar_twitter', array(
    'label'   => __('Twitter Link', 'education-monal'),
    'section' => 'topbar_box',
    'priority'  => 9
));

$wp_customize->add_setting('topbar_instagram', array(
    'default'   => __('https://instagram.com', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('topbar_instagram', array(
    'label'   => __('Instagram Link', 'education-monal'),
    'section' => 'topbar_box',
    'priority'  => 9
));
// END TOPBAR

///// ==================
///// HEADER SECTION 
///// ==================

$wp_customize->add_section('header_section', array(
    'title'   => __('Navbar', 'education-monal'),
    'priority'    => 131,
    'panel' => 'navbar_field',
));

// Header Layout
$wp_customize->add_setting('navbar_style', array(
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_select',
    'default' => 'default',
));

$wp_customize->add_control('navbar_style', array(
    'type' => 'select',
    'section' => 'header_section',
    'label' => __('Select Navbar Style', 'education-monal'),
    'priority' => 7,
    'choices' => array(
        'default' => __('Default', 'education-monal'),
        'fixed' => __('Fixed', 'education-monal'),
        'scroll' => __('Show Hide On Scroll', 'education-monal'),
    ),
));


$wp_customize->add_setting('navbar_select', array(
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_select',
    'default' => 'box',
));

$wp_customize->add_control('navbar_select', array(
    'type' => 'select',
    'section' => 'header_section',
    'label' => __('Select Navbar Types', 'education-monal'),
    'choices' => array(
        'fullwidth' => __('Full Width Layout', 'education-monal'),
        'box' => __('Box Layout', 'education-monal'),
    ),
));


// Show hide Search Button
$wp_customize->add_setting(
    'search_visibility',
    array(
        'default'           => 1,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'monal_education_sanitize_checkbox',
        'transport' => 'postMessage'
    )
);
$wp_customize->add_control(
    'search_visibility',
    array(
        'label'    => esc_html__('Show Search Button', 'education-monal'),
        'section'  => 'header_section',
        'type'     => 'checkbox',
        'priority' => 9,
    )
);

// Logo Width
$wp_customize->add_setting('logo_width', array(
    'default' => __('58', 'education-monal'),
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_positive_integer',
    'transport' => 'postMessage'
));

$wp_customize->add_control('logo_width', array(
    'label' => __('Navbar Logo Width', 'education-monal'),
    'section' => 'header_section',
    'type' => 'number',
    'priority' => 100,
));

// Header Background Color
$wp_customize->add_setting(
    'header_background',
    array(
        'default'           => '#ffffff',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport' => 'postMessage'
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'header_background',
        array(
            'label'      => __('Header Background Color', 'education-monal'),
            'section'    => 'header_section',
            'settings'   => 'header_background',
            'priority'   => 100,
        )
    )
);


// Header Text Color
$wp_customize->add_setting(
    'header_text_color',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport' => 'postMessage'

    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'header_text_color',
        array(
            'label'      => __('Header Text Color', 'education-monal'),
            'section'    => 'header_section',
            'settings'   => 'header_text_color',
            'priority'   => 100,
        )
    )
);

// Header Hover Color
$wp_customize->add_setting(
    'header_hover_color',
    array(
        'default'           => '#e2e2e2',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport' => 'postMessage'
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'header_hover_color',
        array(
            'label'      => __('Header Hover Color', 'education-monal'),
            'section'    => 'header_section',
            'settings'   => 'header_hover_color',
            'priority'   => 100,
        )
    )
);

// Header Dropdown Background
$wp_customize->add_setting(
    'dropdown_background',
    array(
        'default'           => '#f3f3f3',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport' => 'postMessage'
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'dropdown_background',
        array(
            'label'      => __('Dropdown Background', 'education-monal'),
            'section'    => 'header_section',
            'settings'   => 'dropdown_background',
            'priority'   => 100,
        )
    )
);

// Header Dropdown Text
$wp_customize->add_setting(
    'dropdown_color',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport' => 'postMessage'
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'dropdown_color',
        array(
            'label'      => __('Dropdown Text Color', 'education-monal'),
            'section'    => 'header_section',
            'settings'   => 'dropdown_color',
            'priority'   => 100,
        )
    )
);


// Dropdown Hover Color
$wp_customize->add_setting(
    'dropdown_hover_color',
    array(
        'default'           => '#e2e2e2',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        // 'transport' => 'postMessage'
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'dropdown_hover_color',
        array(
            'label'      => __('Dropdown Hover Color', 'education-monal'),
            'section'    => 'header_section',
            'settings'   => 'dropdown_hover_color',
            'priority'   => 100,
        )
    )
);

///// ==================
///// END HEADER SECTION 
///// ==================

// ==================
// SIDENAV SECTION 
// ==================

$wp_customize->add_section('sidenav_section', array(
    'title'   => __('SideNav', 'education-monal'),
    'priority'    => 131,
    'panel' => 'navbar_field',
));

// Sidenav Background Color
$wp_customize->add_setting(
    'sidenav_background',
    array(
        'default'           => '#e2e2e2',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidenav_background',
        array(
            'label'      => __('Sidenav Background', 'education-monal'),
            'section'    => 'sidenav_section',
            'settings'   => 'sidenav_background',
            'priority'   => 100,
        )
    )
);
// Sidenav Text Color
$wp_customize->add_setting(
    'sidenav_text_color',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidenav_text_color',
        array(
            'label'      => __('Sidenav Text', 'education-monal'),
            'section'    => 'sidenav_section',
            'settings'   => 'sidenav_text_color',
            'priority'   => 100,
        )
    )
);

// Sidenav SubMenu Background
$wp_customize->add_setting(
    'sidenav_submenu',
    array(
        'default'           => '#f3f3f3',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidenav_submenu',
        array(
            'label'      => __('Sub Menu Background', 'education-monal'),
            'section'    => 'sidenav_section',
            'settings'   => 'sidenav_submenu',
            'priority'   => 100,
        )
    )
);

// SideNav Sub Menu Text
$wp_customize->add_setting(
    'sidenav_submenu_text',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidenav_submenu_text',
        array(
            'label'      => __('Sub Menu Text', 'education-monal'),
            'section'    => 'sidenav_section',
            'settings'   => 'sidenav_submenu_text',
            'priority'   => 100,
        )
    )
);


///// ==================
///// SIDENAV SECTION 
///// ==================


// FOOTER SECTION 

$wp_customize->add_section('footer_section', array(
    'title'   => __('Footer', 'education-monal'),
    'description' => sprintf(__('Options for footer Section', 'education-monal')),
    'priority'    => 131,
    'panel' => 'navbar_field',
));

// Copyright Text 
$wp_customize->add_setting('copyright_text_footer', array(
    'default' => __('© 2021 - WordPress Theme : education-monal', 'education-monal'),
    'capability'        => 'edit_theme_options',
    'transport' => 'postMessage',
    'sanitize_callback' => 'sanitize_text_field'
));

$wp_customize->add_control('copyright_text_footer', array(
    'label' => __('Text for Copyright Section', 'education-monal'),
    'section' => 'footer_section',
    'priority' => 7
));

// Copyright Background.
$wp_customize->add_setting(
    'copyright_background',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'copyright_background',
        array(
            'label'      => esc_html__('Copyright Background', 'education-monal'),
            'section'    => 'footer_section',
            'settings'   => 'copyright_background',
            'priority'   => 8,
        )
    )
);

// Copyright Display
$wp_customize->add_setting('copyright_display', array(
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_select',
    'default' => 'show',
    'transport' => 'postMessage'
));

$wp_customize->add_control('copyright_display', array(
    'type' => 'select',
    'section' => 'footer_section',
    'label' => __('Display Copyright Section', 'education-monal'),
    'description' => __('Options', 'education-monal'),
    'choices' => array(
        'show' => __('Show', 'education-monal'),
        'hide' => __('Hide', 'education-monal'),
    ),
));

// Copyright Text
$wp_customize->add_setting(
    'copyright_text_color',
    array(
        'default'           => '#FFFFFF',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'copyright_text_color',
        array(
            'label'      => __('Copyright Text', 'education-monal'),
            'section'    => 'footer_section',
            'settings'   => 'copyright_text_color',
            'priority'   => 8,
        )
    )
);


// Footer Background.
$wp_customize->add_setting(
    'footer_background_color',
    array(
        'default'           => '#2C2D60',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'footer_background_color',
        array(
            'label'      => __('Footer Background', 'education-monal'),
            'section'    => 'footer_section',
            'settings'   => 'footer_background_color',
            'priority'   => 8,
        )
    )
);

// Footer Text.
$wp_customize->add_setting(
    'footer_text_color',
    array(
        'default'           => '#FFFFFF',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'footer_text_color',
        array(
            'label'      => __('Footer Text Color', 'education-monal'),
            'section'    => 'footer_section',
            'settings'   => 'footer_text_color',
            'priority'   => 8,
        )
    )
);



// END FOOTER


//SIDEBAR

///// SIDEBAR 

$wp_customize->add_section('sidebar_section', array(
    'title'   => __('Sidebar Options', 'education-monal'),
    'priority'    => 131,
    'panel' => 'navbar_field',
));
// Sidebar Single Post
$wp_customize->add_setting(
    'enable_sidebar_option_single_post',
    array(
        'default'           => 1,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'monal_education_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'enable_sidebar_option_single_post',
    array(
        'label'    => __('Enable Sidebar on Single Post', 'education-monal'),
        'section'  => 'sidebar_section',
        'type'     => 'checkbox',
        'priority' => 150,
    )
);

// Sidebar Archive Page
$wp_customize->add_setting(
    'enable_sidebar_option_archive',
    array(
        'default'           => 1,
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'sanitize_callback' => 'monal_education_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'enable_sidebar_option_archive',
    array(
        'label'    => __('Enable Sidebar on Archive Page', 'education-monal'),
        'section'  => 'sidebar_section',
        'type'     => 'checkbox',
        'priority' => 150,
    )
);

// Sidebar Archive Page
$wp_customize->add_setting(
    'enable_sidebar_option_single_page',
    array(
        'default'           => 1,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'monal_education_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'enable_sidebar_option_single_page',
    array(
        'label'    => __('Enable Sidebar on Page Post', 'education-monal'),
        'section'  => 'sidebar_section',
        'type'     => 'checkbox',
        'priority' => 150,
    )
);


// Sticky Sidebar
$wp_customize->add_setting('sidebar_option', array(
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_select',
    'default' => 'default',
));

$wp_customize->add_control('sidebar_option', array(
    'type' => 'select',
    'section' => 'sidebar_section',
    'label' => __('Select Sidebar Options', 'education-monal'),
    'choices' => array(
        'default' => __('Default', 'education-monal'),
        'sticky_top' => __('Sticky Top', 'education-monal'),
        'sticky_bottom' => __('Sticky Bottom', 'education-monal'),
    ),
));
// END SIDEBAR






// ARchive End 


// Archive Section 
$wp_customize->add_section('archive_section', array(
    'title'   => __('Archive Options', 'education-monal'),
    'description' => __('The page for displaying posts of specific categories', 'education-monal'),
    'priority'    => 131,
    'panel' => 'navbar_field',
));


// Archive  Grid Columns

$wp_customize->add_setting('columns_archive', array(
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_select',
    'default' => '3',
));

$wp_customize->add_control('columns_archive', array(
    'type' => 'select',
    'section' => 'archive_section',
    'label' => __('Number of Columns in Archive ( Grid Only )', 'education-monal'),
    'priority' => 151,
    'choices' => array(
        '1' => __('1', 'education-monal'),
        '2' => __('2', 'education-monal'),
        '3' => __('3', 'education-monal'),
        '4' => __('4', 'education-monal'),
    ),
));


// Archive Layout 
$wp_customize->add_setting('archive_layout', array(
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'monal_education_sanitize_select',
    'default' => 'grid',
));

$wp_customize->add_control('archive_layout', array(
    'type' => 'select',
    'section' => 'archive_section',
    'label' => __('Archive Layout', 'education-monal'),
    'priority' => 151,
    'choices' => array(
        'list' => __('List', 'education-monal'),
        'grid' => __('Grid', 'education-monal'),
    ),
));

// Archive Background
$wp_customize->add_setting(
    'archive_background',
    array(
        'default'           => 0,
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'sanitize_callback' => 'monal_education_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'archive_background',
    array(
        'label'    => __('Enable Background Color', 'education-monal'),
        'section'  => 'archive_section',
        'type'     => 'checkbox',
        'priority' => 150,
    )
);


// Link Section

$wp_customize->add_section('color_section', array(
    'title'   => __('Colors', 'education-monal'),
    'priority'    => 131,
    'panel' => 'navbar_field',
));


// GLobal Colors
$wp_customize->add_setting(
    'link_color',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'link_color',
        array(
            'label'      => __('Link Color', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'link_color',
            'priority'   => 8,
        )
    )
);

$wp_customize->add_setting(
    'link_hover_color',
    array(
        'default'           => '#1787bd',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'link_hover_color',
        array(
            'label'      => __('Link HOver Color', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'link_hover_color',
            'priority'   => 8,
        )
    )
);

// Setting - primary_color.
$wp_customize->add_setting(
    'primary_color',
    array(
        'default'           => '#2C2D60',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'primary_color',
        array(
            'label'      => __('Primary Color', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'primary_color',
            'priority'   => 100,
        )
    )
);


$wp_customize->add_setting(
    'secondary_color',
    array(
        'default'           => '#ffffff',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'secondary_color',
        array(
            'label'      => __('Secondary Color', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'secondary_color',
            'priority'   => 100,
        )
    )
);

/// Body Color
$wp_customize->add_setting(
    'bodybg_color',
    array(
        'default'           => '#ffffff',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'bodybg_color',
        array(
            'label'      => __('Background Color', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'bodybg_color',
            'priority'   => 100,
        )
    )
);


/// POst Heading
$wp_customize->add_setting(
    'postheading_color',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'bodybg_color',
        array(
            'label'      => __('Post Heading Color', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'postheading_color',
            'priority'   => 100,
        )
    )
);

// Post Text 
$wp_customize->add_setting(
    'posttext_color',
    array(
        'default'           => '#585858',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'posttext_color',
        array(
            'label'      => __('Post Paragraph Color', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'posttext_color',
            'priority'   => 100,
        )
    )
);


// Homepage Widget Heading
$wp_customize->add_setting(
    'home_widget',
    array(
        'default'           => '#000000',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'home_widget',
        array(
            'label'      => __('Homepage Widget Heading', 'education-monal'),
            'section'    => 'color_section',
            'settings'   => 'home_widget',
            'priority'   => 100,
        )
    )
);