<?php

/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package education-monal
 */

get_header();
if (get_theme_mod('enable_sidebar_option_single_page', 1) == 0) {
	$hasSidebar = 0;
	$fullwidth = "singlepage-grid-full";
} else {
	$hasSidebar = 1;
	$fullwidth = "";
	$clean = "single-page-clean";
}
?>

<main id="primary" class="site-main singlepage section-single-padding">
    <div class="singlepage-grid edu-grid-box container <?php echo esc_attr($fullwidth) ?>">
        <div class="single-page-content">
            <?php
			if (have_posts()) :

				if (is_home() && !is_front_page()) :
			?>
            <header>
                <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
            </header>
            <?php
				endif;

				while (have_posts()) :
					the_post();

					get_template_part('template-parts/content-search', get_post_type());

				endwhile;

				the_posts_navigation();

			else :

				get_template_part('template-parts/content', 'none');

			endif;
			?>
        </div>
        <?php
		if ($hasSidebar) :
			get_sidebar();
		endif; ?>
    </div>



</main><!-- #main -->

<?php

get_footer();