<?php

/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package education-monal
 */

get_header();
if (get_theme_mod('enable_sidebar_option_single_page', 1) == 0) {
	$hasSidebar = 0;
	$fullwidth = "singlepage-grid-full";
} else {
	$hasSidebar = 1;
	$fullwidth = "";
	$clean = "single-page-clean";
}
?>

<main id="primary" class="site-main page section-single-padding">
	<div class="singlepage-grid edu-grid-box container <?php echo esc_attr($fullwidth) ?>">
		<div class="single-page-content">
			<?php
			while (have_posts()) :
				the_post();

				get_template_part('template-parts/content', 'page');

				// If comments are open or we have at least one comment, load up the comment template.
				if (comments_open() || get_comments_number()) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>
		</div>
		<?php
		if ($hasSidebar) :
			get_sidebar();
		endif; ?>
	</div>



</main><!-- #main -->

<?php

get_footer();
