<?php

/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package education-monal
 */

get_header();
?>

<main id="primary" class="site-main singlepage section-single-padding">

    <div class="singlepage-grid edu-grid-box container">
        <div class="single-page-content">
            <?php if (have_posts()) : ?>

            <header class="page-header">
                <h1 class="page-title">
                    <?php
						/* translators: %s: search query. */
						printf(esc_html__('Search Results for: %s', 'education-monal'), '<span>' . get_search_query() . '</span>');
						?>
                </h1>
            </header>

            <?php

				while (have_posts()) :
					the_post();

					get_template_part('template-parts/content', 'search');

				endwhile;

				the_posts_navigation();

			else :

				get_template_part('template-parts/content', 'none');

			endif;
			?>
        </div>
        <?php get_sidebar(); ?>
    </div>


</main><!-- #main -->

<?php
get_footer();