<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package education-monal
 */

get_header();
if (get_theme_mod('enable_sidebar_option_single_post', 1) == 0) {
	$hasSidebar = 0;
	$fullwidth = "singlepage-grid-full";
} else {
	$hasSidebar = 1;
	$fullwidth = "";
}
?>

<main id="primary" class="site-main singlepage section-single-padding">
	<div class="singlepage-grid <?php echo esc_attr($fullwidth) ?> edu-grid-box container">

		<div class="single-page-content">
			<?php
			while (have_posts()) :
				the_post();

				get_template_part('template-parts/content', get_post_type());

				the_post_navigation(
					array(
						'prev_text' => '<span class="nav-subtitle">' . esc_html__('Previous:', 'education-monal') . '</span> <span class="nav-title">%title</span>',
						'next_text' => '<span class="nav-subtitle">' . esc_html__('Next:', 'education-monal') . '</span> <span class="nav-title">%title</span>',
					)
				);

				// If comments are open or we have at least one comment, load up the comment template.
				if (comments_open() || get_comments_number()) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>
		</div>
		<?php
		if ($hasSidebar == 1) {
			get_sidebar();
		}
		?>
	</div>

</main><!-- #main -->

<?php

get_footer();
