<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package education-monal
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <?php
		monal_education_breadcrumb();
		monal_education_category_content();
		if (is_singular()) :
			the_title('<h1 class="single-title">', '</h1>');
		else :
			the_title('<h2 class="single-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
		endif;

		if ('post' === get_post_type()) :
		?>
        <div class="entry-meta">
            <?php

				monal_education_posted_on();
				monal_education_posted_by();
				?>
        </div><!-- .entry-meta -->
        <?php endif; ?>
    </header><!-- .entry-header -->
    <div class="featured-image">
        <?php monal_education_post_thumbnail(); ?>
    </div>


    <div class="entry-content main-content">
        <?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__('Continue reading<span class="screen-reader-text"> "%s"</span>', 'education-monal'),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post(get_the_title())
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__('Pages:', 'education-monal'),
				'after'  => '</div>',
			)
		);
		monal_education_content_tags_list();
		?>
    </div><!-- .entry-content -->

    <footer class="entry-footer">
        <?php monal_education_entry_footer(); ?>
    </footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->